Read document
GET
/api/v1/legal/{kind}
const url = 'https://example.com/api/v1/legal/terms';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/legal/termsPublic: the latest published version, in lang when it exists.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”kind
required
LegalDocumentKind
The legal documents a deployment’s operator publishes for its users (Platform), accepted together at signup.
string
Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
LegalDocumentRead
object
content
required
Content
string
kind
required
LegalDocumentKind
The legal documents a deployment’s operator publishes for its users (Platform), accepted together at signup.
string
language
required
Language
string
published_at
required
Published At
string format: date-time
requested_language_available
required
Requested Language Available
boolean
version
required
Version
integer
Example
{ "kind": "terms"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}